﻿using Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Services
{
    public interface ICharacterService
    {
        Character GetCharacter(string characterID);
        Character CreateCharacter(object characterData);
        Character UpdateCharacter(string characterID, object data);
        bool DeleteCharacter(string characterID);
        bool ValidateCharacterAccess(string userID, string characterID);
    }
}
