﻿using Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Services
{
    public interface ISessionService
    {
        Session GetSession(string sessionID);
        Session CreateCampaign(object campaignData);
        Session UpdateSession(string sessionID, object data);
        bool DeleteSession(string sessionID);
        bool AddPlayerToSession(string sessionID, string userID);
        bool RemovePlayerFromSession(string sessionID, string userID);
        User GetDungeonMaster(string sessionID);
        bool CheckUserPermission(string sessionID, string userID, object ressources);
    }
}
