﻿using Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Services
{
    public interface IMapService
    {
        Map GetMap(string mapID);
        Map CreateMap(object mapData);
        Map UpdateMap(string mapID, object mapData);
        bool DeleteMap(string mapID);
        Token AddToken(string mapID, object tokenData);
        bool MoveToken(string mapID, string tokenID, object position);
        bool RemoveToken(string mapID, string tokenID);
    }
}
